> ## Documentation Index
> Fetch the complete documentation index at: https://cognitio-agent.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Remove MCP OAuth

> Remove OAuth credentials for an MCP server



## OpenAPI

````yaml /openapi.json delete /mcp/{name}/auth
openapi: 3.1.1
info:
  title: cognitio
  description: cognitio api
  version: 1.0.0
servers: []
security: []
paths:
  /mcp/{name}/auth:
    delete:
      summary: Remove MCP OAuth
      description: Remove OAuth credentials for an MCP server
      operationId: mcp.auth.remove
      parameters:
        - in: query
          name: directory
          schema:
            type: string
        - in: query
          name: workspace
          schema:
            type: string
        - schema:
            type: string
          in: path
          name: name
          required: true
      responses:
        '200':
          description: OAuth credentials removed
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    const: true
                required:
                  - success
        '404':
          description: Not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NotFoundError'
      x-codeSamples:
        - lang: js
          source: |-
            import { createCognitioClient } from "@cognitio/sdk

            const client = createCognitioClient()
            await client.mcp.auth.remove({
              ...
            })
components:
  schemas:
    NotFoundError:
      type: object
      properties:
        name:
          type: string
          const: NotFoundError
        data:
          type: object
          properties:
            message:
              type: string
          required:
            - message
      required:
        - name
        - data

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.